Skip to main content
GET
/
v1
/
organizations
/
audit
/
logs
/
{audit_id}
Get Audit Log
curl --request GET \
  --url https://api.mixpeek.com/v1/organizations/audit/logs/{audit_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.mixpeek.com/v1/organizations/audit/logs/{audit_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.mixpeek.com/v1/organizations/audit/logs/{audit_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "audit_id": "<string>",
  "timestamp": "<unknown>",
  "resource_type": "<string>",
  "resource_id": "<string>",
  "action": "<string>",
  "actor_id": "<string>",
  "actor_type": "user",
  "status": "success",
  "changes": "<unknown>",
  "ip_address": "<string>",
  "user_agent": "<string>",
  "actor_name": "<string>",
  "actor_email": "<string>",
  "actor_key_name": "<string>"
}
{
  "status": 123,
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": {}
  },
  "success": false
}
{
  "status": 123,
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": {}
  },
  "success": false
}
{
  "status": 123,
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": {}
  },
  "success": false
}
{
  "status": 123,
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": {}
  },
  "success": false
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
{
  "status": 123,
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": {}
  },
  "success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

audit_id
string
required

Response

AuditEventResponse · object | null

Successful Response

Single audit event in list response.

audit_id
string
required

Unique audit event identifier

timestamp
any
required

When the event occurred

resource_type
string
required

Type of resource affected

resource_id
string
required

ID of the affected resource

action
string
required

Action performed

actor_id
string
required

Who performed the action

actor_type
string
default:user

Type of actor

status
string
default:success

Status of the action

changes
any

What changed

ip_address
string | null

Request IP address

user_agent
string | null

Request user agent

actor_name
string | null

Resolved actor display name

actor_email
string | null

Resolved actor email

actor_key_name
string | null

API key name used